Bug 1309887 - [RFE] Install redhat-access-insights RPM on RHEV-H
Summary: [RFE] Install redhat-access-insights RPM on RHEV-H
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor
Version: unspecified
Hardware: All
OS: All
high
high
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Douglas Schilling Landgraf
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On: 1349375 1365206
Blocks: ovirt-node-ng
TreeView+ depends on / blocked
 
Reported: 2016-02-18 21:52 UTC by Keith Robertson
Modified: 2016-08-23 21:05 UTC (History)
12 users (show)

Fixed In Version: redhat-release-rhev-hypervisor-3.6-0.26.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 21:05:25 UTC
oVirt Team: Node
ycui: testing_plan_complete?


Attachments (Terms of Use)
insights_1.png (139.54 KB, image/png)
2016-06-23 04:56 UTC, Ying Cui
no flags Details
insights_2.png (50.26 KB, image/png)
2016-06-23 04:57 UTC, Ying Cui
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1702 normal SHIPPED_LIVE redhat-virtualization-host bug fix and enhancement update for RHV 4.0 2016-08-24 00:35:27 UTC

Description Keith Robertson 2016-02-18 21:52:02 UTC
To enable Red Hat Insights[1] monitoring of RHEV we require the redhat-access-insights RPM to be installed on the RHEV-H.  

The redhat-access-insights RPM delivers some python code (the Insights client) which collects various logs and other information that we analyze at Red Hat an use to alert customers to potential problems.  On average, this information is about 100kb (much much smaller than a SoS report).

Operationally, the Insights client will exist on the RHEV-H and be dormant unless invoked by an external process.  It will *not* spawn any persistent tasks or processes.  An external program will invoke the program (redhat-insights-coordinator-rhev) over SSH, the output will be sent to STDOUT, any artifacts will be cleaned up, and the connection will be closed.

The GIT repo for the Insights client is at [2].  It is available today in BaseOS; however, that version is old.  Our latest builds are at [3] and we would want to ship the _latest_ version in any spin of the RHEV-H.

[1] https://access.redhat.com/insights/info/
[2] https://github.com/redhataccess/insights-client
[3] https://copr.fedorainfracloud.org/coprs/dvarga/insights-client/

Comment 1 Fabian Deutsch 2016-02-18 22:30:58 UTC
Is there also a corresponding upstream package for Fedora or CentOS?

Comment 2 Keith Robertson 2016-02-19 02:18:41 UTC
There is no Fedora component because Red Hat Insights is a subscription service offered to Red Hat customers.  It does not make sense in the Fedora context.

Today, we do not support centos but I suppose that could change depending on a BU decision.

Comment 3 Yaniv Lavi 2016-02-21 10:49:38 UTC
Fabian we should add it to next gen and Keith's team will be trying to use edit-node to test this on vintage node as well. There is a change this will need to go to z stream as well.

Comment 4 Fabian Deutsch 2016-02-22 15:47:08 UTC
Thanks Keith, we'll add it to the upcoming RHEV-H Next.

There should also be no issue in including it into vintage RHEV-H - but please note that in this case the user needs to enable ssh in the RHEV-H TUI before this can be used.

Comment 5 Keith Robertson 2016-02-27 21:29:21 UTC
Fabian,
When will you be building the next RHEV-H?  I want to make sure you have the latest version.  We'll need  to build something in brew so that you can tag it into RHEV-H (I assume).

Today, our latest is [1].

[1] https://copr.fedorainfracloud.org/coprs/insights/insights-client/builds/

Keith

Comment 7 Mike McCune 2016-03-28 22:30:10 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 16 Yaniv Lavi 2016-05-09 11:07:39 UTC
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.

Comment 19 Huijuan Zhao 2016-06-02 06:04:42 UTC
Test version:
RHEVH-7.2-20160520.t.0-RHEVH-x86_64-dvd1.iso
redhat-release-rhev-hypervisor-3.6-0.27.el7.x86_64
imgbased-0.6-0.1.el7ev.noarch
kernel-3.10.0-327.18.2.el7.x86_64
redhat-access-insights-1.0.6-0.el7.noarch

Test steps:
1. Install RHEV-H ng RHEVH-7.2-20160520.t.0-RHEVH-x86_64-dvd1.iso via CDROM
2. Reboot and login RHEV-H, check redhat-access-insights RPM:
# rpm -qa | grep redhat-access-insights
3. Check RPM configure file

Test result:
After step2, it shows:
redhat-access-insights-1.0.6-0.el7.noarch
After step3, There is RPM configure file: /etc/redhat-access-insights/redhat-access-insights.conf

So this bug is fixed on RHEV-H ng RHEVH-7.2-20160520.t.0-RHEVH-x86_64-dvd1.iso, change the status to VERIFIED.

Comment 20 Fabian Deutsch 2016-06-06 12:22:27 UTC
Can we somehow verify that the rpms are working correctly, Keith?

Moving back to ON_QA until we have functional verification.
I'm just looking for the functional verification, because this is the first introduction of these tools.

Comment 22 Ying Cui 2016-06-23 04:56:47 UTC
Created attachment 1171249 [details]
insights_1.png

Comment 23 Ying Cui 2016-06-23 04:57:13 UTC
Created attachment 1171250 [details]
insights_2.png

Comment 24 Ying Cui 2016-06-23 05:01:20 UTC
Fabian, see comment 22, and comment 23, do we need to resolve the detected issue in RHVH? I will share the account by email to login the insights system.

Comment 25 Fabian Deutsch 2016-06-23 13:27:06 UTC
The issue will be resolved by dropping docker from the RHVH package set, see bug 1349375, there is nothing to be done for now on the RHVH side.

Comment 27 Huijuan Zhao 2016-07-06 07:34:53 UTC
According to comment 21 and comment 25, this bug is fixed on RHEV-H-7.2-20160622.1-RHVH-x86_64-dvd1.iso, and there is nothing to be done for now on the RHVH side. 
The detected issue in RHVH will be tracked by bug 1349375.

So I will change the status to VERIFIED.

Comment 30 errata-xmlrpc 2016-08-23 21:05:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1702.html


Note You need to log in before you can comment on or make changes to this bug.